﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication37
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            DataTable dt = new DataTable();
            dt.Columns.Add("startDate", typeof(DateTime));
            dt.Columns.Add("runTime", typeof(TimeSpan));
            dt.Columns.Add("jobName", typeof(string));
            dt.Columns.Add("projKey", typeof(string));

            for (int i = 0; i < 10; i++)
            {
                dt.Rows.Add(new object[] { DateTime.Now.AddHours(i), new TimeSpan(i,i,i), i.ToString(), i.ToString() });
            }

            foreach (DataRow row in dt.Rows) 
            {
                Infragistics.Win.UltraWinSchedule.Task t = this.ultraCalendarInfo1.Tasks.Add((DateTime)row.ItemArray.GetValue(0), (TimeSpan)row.ItemArray.GetValue(1), row.ItemArray.GetValue(2).ToString(), row.ItemArray.GetValue(3).ToString()); 
            }
        }
    }
}
